Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688756 - changes on vmware switches cause them to be duplicated in CloudForms
Summary: changes on vmware switches cause them to be duplicated in CloudForms
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.7
Hardware: All
OS: All
unspecified
urgent
Target Milestone: GA
: cfme-future
Assignee: Bronagh Sorota
QA Contact: Tasos Papaioannou
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-14 11:33 UTC by Felix Dewaleyne
Modified: 2019-03-18 14:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-15 13:46:59 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Felix Dewaleyne 2019-03-14 11:33:07 UTC
Description of problem:
in CF 4.6.7, renaming & changing port numbers on vmware switches caused them to become duplicated with the same UUID in cloudforms, leading to failure in provisioning.

Version-Release number of selected component (if applicable):
5.9.7.2.20190109154935_c0d03d6

How reproducible:
customer environment only

Steps to Reproduce:
1.create switches in vmware
2.sync them to cloudforms 
3.rename the switches
4.change their port numbers
5.refresh cloudforms to make sure changes are synced in

Actual results:
network switches are duplicated with duplicate UUID from vmware but different IDs in CloudForms

Expected results:
network switches are updated correctly and records updated rather than new ones added.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.